Create a new Sales Rep
Sales
Create a new Sales Rep
POST
Create a new Sales Rep
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Contact has Last Name
Contact has First Name
Contact is uniquely identified by id
Contact is automated Agent
Contact has Address
Contact has Primary Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Contact has Primary Email
Contact has Email
Contact has Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Contact has Role
Sales Rep accepts leads from Credit Band
Sales Rep uses Template
Sales Rep is accepting new leads
Response
Sales Rep Created
Example:
{
"id": "srep_8f9v2j1kd92j",
"emails": [
"sales.rep@example.com",
"contact@example.com"
],
"lastName": "Smith",
"firstName": "Alice",
"templates": ["Welcome Template", "Follow-up Template"],
"creditBands": ["Prime", "Subprime"],
"primaryEmail": "sales.rep@example.com",
"phoneNumbers": ["+1-555-0123", "+1-555-0456"],
"primaryPhoneNumber": "+1-555-0123",
"isAcceptingNewLeads": true
}